![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)

---

# PWM DEMO

Code developed for Fusion board for STM32 v8 (https://www.mikroe.com/fusion-for-stm32) and it can be used for other Fusion boards as well.

- **Author**      : Vladimir Tešić
- **Verison**     : 2.0.0.0
- **Date**        : June 2022.

---

## Software Support

We provide demo code for testing all functions contained in libraries *MikroSDK.Driver.PWM* and  *MikroSDK.Driver.GPIO.In*

### Functions Description

All functions used in main project are located in libraries *MikroSDK.Driver.PWM*  and *MikroSDK.Driver.GPIO.In*.

- ```err_t pwm_set_duty( pwm_t *obj, float duty_ratio )```- Function for setting PWM duty cycle.
- ```err_t pwm_start( pwm_t *obj )```- Function for starting PWM.
- ```uint8_t digital_in_read( digital_in_t *in )``` - Function for reading input value from button.

## Hardware Support

![board](./board.png)

This code was developed on *Fusion for STM32 v8* board. For this hardware to work according to program, it is necessary to turn on PORT LEDS for output pin (switches are located on the right side of the board, in the BOARD SETUP section). Pressing PB0 decreases duty ratio and pressing PA0 increases it.

---
